Bug 4027 - squid-2.2.STABLE4 can be patched for webdav support
squid-2.2.STABLE4 can be patched for webdav support
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: squid (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://squid.nlanr.net/Squid/v2/2.2/b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-14 08:42 EDT by cdent
Modified: 2014-03-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-14 10:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cdent 1999-07-14 08:42:23 EDT
I had not considered this important until I saw that
it was happening in my logs.

In the current squid-2.2.STABLE4-1 rpm if someone makes
a request through the squid that uses one of the webdav
extensions like PROPFIND the squid doesn't recognize the
method and will not proxy. The patch in the mentioned
URL fixes this.

I've modified the spec file like so:

--- squid-2.2.spec      Wed Jul  7 09:24:40 1999
+++ squid-2.2+webdav.spec       Wed Jul 14 07:25:19 1999
@@ -1,7 +1,7 @@
 Summary: The SQUID proxy caching server.
 Name: squid
 Version: 2.2.STABLE4
-Release: 1
+Release: 2
 Serial: 4
 Copyright: GPL
 Group: System Environment/Daemons
@@ -11,6 +11,7 @@
 Source3: squid.logrotate
 Patch0: squid-2.1-make.patch
 Patch1: squid-2.2-config.patch
+Patch2: squid-2.2.stable4.webdav_support.patch
 BuildRoot: /var/tmp/squid-root
 Prereq: /sbin/chkconfig logrotate shadow-utils
 Obsoletes: squid-novm
@@ -41,6 +42,8 @@
 %setup -q
 %patch0 -p1 -b .make
 %patch1 -p1 -b .config
+cd src
+%patch2 -b .webdav

 %build
 CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
@@ -205,6 +208,9 @@


 %changelog
+* Wed Jul 14 1999 Chris Dent <cdent@kiva.net>
+- added the webdav patch from the squid bugs page
+
 * Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
 - 2.2.STABLE4
Comment 1 Bill Nottingham 1999-07-14 10:52:59 EDT
Fixed in squid-2.2.STABLE4-3, which will be in the next
Raw Hide...

Note You need to log in before you can comment on or make changes to this bug.